低危 Exiv2 'Exiv2::Image::byteSwap4'函数越边界读取漏洞

CVE编号

CVE-2017-17723

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-02-13
漏洞描述
Exiv2是软件开发者Andreas Huggel所研发的一套用于管理图像元数据的C++库和命令行应用程序,它提供了快速容易读取和写入EXIF、IPTC和XMP多种格式的图像元数据。

Exiv2 0.26版本中的image.cpp文件的'Exiv2::Image::byteSwap4'函数存在越边界读取漏洞。远程攻击者可借助特制的TIFF文件利用该漏洞泄露内存数据或造成拒绝服务。
解决建议
厂商尚未提供漏洞修复方案,请关注厂商主页更新:
http://www.exiv2.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 exiv2 exiv2 0.26 -
运行在以下环境
系统 fedora_27 exiv2 * Up to
(excluding)
0.26-10.fc27
运行在以下环境
系统 fedora_27 exiv2-debuginfo * Up to
(excluding)
0.26-10.fc27
运行在以下环境
系统 fedora_27 exiv2-debugsource * Up to
(excluding)
0.26-10.fc27
运行在以下环境
系统 fedora_27 exiv2-devel * Up to
(excluding)
0.26-10.fc27
运行在以下环境
系统 fedora_27 exiv2-doc * Up to
(excluding)
0.26-10.fc27
运行在以下环境
系统 fedora_27 exiv2-libs * Up to
(excluding)
0.26-10.fc27
运行在以下环境
系统 fedora_27 exiv2-libs-debuginfo * Up to
(excluding)
0.26-10.fc27
运行在以下环境
系统 fedora_28 exiv2 * Up to
(excluding)
0.26-10.fc28
运行在以下环境
系统 fedora_28 exiv2-debuginfo * Up to
(excluding)
0.26-10.fc28
运行在以下环境
系统 fedora_28 exiv2-debugsource * Up to
(excluding)
0.26-10.fc28
运行在以下环境
系统 fedora_28 exiv2-devel * Up to
(excluding)
0.26-10.fc28
运行在以下环境
系统 fedora_28 exiv2-doc * Up to
(excluding)
0.26-10.fc28
运行在以下环境
系统 fedora_28 exiv2-libs * Up to
(excluding)
0.26-10.fc28
运行在以下环境
系统 fedora_28 exiv2-libs-debuginfo * Up to
(excluding)
0.26-10.fc28
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况